Subject: I-D Action: draft-amend-tsvwg-dccp-udp-header-conversion-01.txt

From: [email-masked]
Date: Mon, 08 Jul 2019 00:04:34 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Lossless and overhead free DCCP - UDP header conversion (U-DCCP)
        Authors         : Markus Amend
                          Anna Brunstrom
                          Andreas Kassler
                          Veselin Rakocevic
	Filename        : draft-amend-tsvwg-dccp-udp-header-conversion-01.txt
	Pages           : 11
	Date            : 2019-07-08

Abstract:
   The Datagram Congestion Control Protocol (DCCP) is a transport-layer
   protocol that provides upper layers with the ability to use non-
   reliable congestion-controlled flows.  DCCP is not widely deployed in
   the Internet, and the reason for that can be defined as a typical
   example of a chicken-egg problem.  Even if an application developer
   decided to use DCCP, the middle-boxes like firewalls and NATs would
   prevent DCCP end-to-end since they lack support for DCCP.  Moreover,
   as long as the protocol penetration of DCCP does not increase, the
   middle-boxes will not handle DCCP properly.  To overcome this
   challenge, NAT/NATP traversal and UDP encapsulation for DCCP is
   already defined.  However, the former requires special middle-box
   support and the latter introduces overhead.  The recent proposal of a
   multipath extension for DCCP further underlines the challenge of
   efficient middle-box passing as its main goal is to be applied over
   the Internet, traversing numerous uncontrolled middle-boxes.  This
   document introduces a new solution which disguises DCCP during
   transmission as UDP without requiring middle-box modification or
   introducing any overhead.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-amend-tsvwg-dccp-udp-header-conversion/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-amend-tsvwg-dccp-udp-header-conversion-01
https://datatracker.ietf.org/doc/html/draft-amend-tsvwg-dccp-udp-header-conversion-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-amend-tsvwg-dccp-udp-header-conversion-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/